SystemOrganization addCategory: #ConfigurationOfGlamourSeaside!

Object subclass: #ConfigurationOfGlamourSeaside
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfGlamourSeaside'!

!ConfigurationOfGlamourSeaside classSide methodsFor: 'private' stamp: 'tg 8/6/2010 16:30'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfGlamourSeaside classSide methodsFor: 'metacello tool support' stamp: 'tg 8/6/2010 16:30'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGlamourSeaside classSide methodsFor: 'loading' stamp: 'tg 8/6/2010 16:30'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfGlamourSeaside classSide methodsFor: 'accessing' stamp: 'tg 8/6/2010 16:30'!
project

	^self new project! !

!ConfigurationOfGlamourSeaside methodsFor: 'baselines' stamp: 'tg 8/6/2010 16:37'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Glamour'.
		spec package: 'Glamour-Seaside'.
		spec package: 'JQWidgetBox-Core-Libraries' with: [spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'].
		spec package: 'JQWidgetBox-Dev-Libraries' with: [spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'].
		spec package: 'JQWidgetBox-MbMenu-Core' with: [spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'].
		spec group: 'Core' with: #(
						'Glamour-Seaside'
						'JQWidgetBox-Core-Libraries'
						'JQWidgetBox-Dev-Libraries'
						'JQWidgetBox-MbMenu-Core').
"		spec group: 'Tests' with: #(
						'Glamour-Tests'). 
"		spec
			project: 'Glamour' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec
			project: 'Seaside' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					file: 'ConfigurationOfSeaside30';
					version: '3.0.0-alpha5.15';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

	]! !

!ConfigurationOfGlamourSeaside methodsFor: 'accessing' stamp: 'tg 8/6/2010 16:30'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !
